include:
  - local: 'src/broadcom/ci/gitlab-ci-inc.yml'

vc4-rpi3-gl:arm64:
  extends:
    - .igalia-bcm2837-rpi-3-b
    - .broadcom-test:arm64
    - .vc4-rules
  parallel: 4
  variables:
    DEQP_SUITE: broadcom-rpi3
    HWCI_START_WESTON: 1

vc4-rpi3-gl-piglit-full:arm64:
  extends:
    - vc4-rpi3-gl:arm64
    - .vc4-manual-rules
  tags:
    - igalia-rpi3
    - igalia-fullrun
  variables:
    DEQP_SUITE: broadcom-rpi3-piglit-full

vc4-rpi3-gl:arm32:
  extends:
    - .igalia-bcm2837-rpi-3-b
    - .broadcom-test:arm32
    - .vc4-manual-rules
  tags:
    - igalia-rpi3
    - igalia-fullrun
  variables:
    DEQP_SUITE: broadcom-rpi3-arm32


v3d-rpi4-gl:arm64:
  extends:
    - .igalia-bcm2711-rpi-4
    - .broadcom-test:arm64
    - .v3d-rules
  parallel: 8
  variables:
    HWCI_START_WESTON: 1
    DEQP_SUITE: broadcom-rpi4
    DEQP_FRACTION: 2

v3d-rpi4-gl-full:arm64:
  extends:
    - v3d-rpi4-gl:arm64
    - .v3d-manual-rules
  tags:
    - igalia-rpi4
    - igalia-fullrun
  parallel: 6
  timeout: 45m
  variables:
    TEST_PHASE_TIMEOUT: 40
    DEQP_FRACTION: 1

v3d-rpi4-rusticl:arm64:
  extends:
    - .igalia-bcm2711-rpi-4
    - .broadcom-test:arm64
    - .v3d-rusticl-manual-rules
  timeout: 30m  # base run time = 17min test, 19min total
  variables:
    DEQP_SUITE: broadcom-rpi4-cl
    TEST_PHASE_TIMEOUT: 25

v3d-rpi4-traces:arm64:
  extends:
    - .igalia-bcm2711-rpi-4
    - .piglit-traces-test
    - .broadcom-test:arm64
    - .v3d-rules
  variables:
    HWCI_TEST_SCRIPT: "/install/piglit/piglit-traces.sh"
    PIGLIT_TRACES_FILE: traces-broadcom.yml
    PIGLIT_REPLAY_DEVICE_NAME: "broadcom-rpi4"
    PIGLIT_RESULTS: "broadcom-rpi4-replay"

v3d-rpi4-gl:arm32:
  extends:
    - .igalia-bcm2711-rpi-4
    - .broadcom-test:arm32
    - .v3d-manual-rules
  tags:
    - igalia-rpi4
    - igalia-fullrun
  variables:
    DEQP_SUITE: broadcom-rpi4-arm32

v3dv-rpi4-vk:arm64:
  extends:
    - .igalia-bcm2711-rpi-4
    - .broadcom-test:arm64
    - .v3dv-rules
  parallel: 10
  variables:
    HWCI_TEST_SCRIPT: "/install/deqp-runner.sh"
    HWCI_START_WESTON: 1
    DEQP_SUITE: broadcom-rpi4-vk
    DEQP_FRACTION: 3
    FLAKES_CHANNEL: "#videocore-ci"

v3dv-rpi4-vk-full:arm64:
  extends:
    - v3dv-rpi4-vk:arm64
    - .v3dv-manual-rules
  tags:
    - igalia-rpi4
    - igalia-fullrun
  parallel: 6
  timeout: 2h
  variables:
    # Keep 10 minutes for boot + setup + uploading the artifacts at the end
    TEST_PHASE_TIMEOUT: 110
    DEQP_FRACTION: 1


v3d-rpi5-gl:arm64:
  extends:
    - .igalia-bcm2712-rpi-5
    - .broadcom-test:arm64
    - .v3d-rules
  variables:
    HWCI_START_WESTON: 1
    DEQP_SUITE: broadcom-rpi5
    DEQP_FRACTION: 3

v3d-rpi5-traces:arm64:
  extends:
    - .igalia-bcm2712-rpi-5
    - .piglit-traces-test
    - .broadcom-test:arm64
    - .v3d-rules
  variables:
    HWCI_TEST_SCRIPT: "/install/piglit/piglit-traces.sh"
    PIGLIT_TRACES_FILE: traces-broadcom.yml
    PIGLIT_REPLAY_DEVICE_NAME: "broadcom-rpi5"
    PIGLIT_RESULTS: "broadcom-rpi5-replay"


v3dv-rpi5-vk:arm64:
  extends:
    - .igalia-bcm2712-rpi-5
    - .broadcom-test:arm64
    - .v3dv-rules
  parallel: 2
  variables:
    HWCI_TEST_SCRIPT: "/install/deqp-runner.sh"
    HWCI_START_WESTON: 1
    DEQP_SUITE: broadcom-rpi5-vk
    DEQP_FRACTION: 5
    FLAKES_CHANNEL: "#videocore-ci"

v3dv-rpi5-vk-full:arm64:
  extends:
    - v3dv-rpi5-vk:arm64
    - .v3dv-manual-rules
  tags:
    - igalia-rpi5
    - igalia-fullrun
  parallel: null
  timeout: 2h
  variables:
    # Keep 10 minutes for boot + setup + uploading the artifacts at the end
    TEST_PHASE_TIMEOUT: 170
    DEQP_FRACTION: 1
